Unbind
Staged Changes

Apply Staged Changes

Apply staged variable and service config changes together, rolling out each affected service once. Use dry_run to preview which services would be affected.

POST
/staged-changes/apply

Apply staged variable and service config changes together, rolling out each affected service once. Use dry_run to preview which services would be affected.

Authorization

bearerAuth
AuthorizationBearer <token>

Access token or API key (unb_...) passed as Authorization: Bearer <token>.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

dry_run?boolean

Validate the changes and report the affected services without applying anything

services?array<>|

Config changes, one entry per service

variables?array<>|

Variable changes grouped by scope

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/staged-changes/apply" \  -H "Content-Type: application/json" \  -d '{}'
{  "data": {    "affected": [      {        "action": "build",        "deployment_id": "6ef0ac85-9892-4664-a2a5-58bf2af5a8a6",        "icon": "string",        "name": "string",        "reasons": [          "string"        ],        "service_id": "641e839f-864e-4cce-98f9-40f6cbb3e9e0"      }    ],    "dry_run": true,    "failures": [      {        "message": "string",        "service_id": "641e839f-864e-4cce-98f9-40f6cbb3e9e0",        "variables": {          "environment_id": "40ef0e48-a11f-4963-a229-e396c9f7e7c4",          "project_id": "405d8375-3514-403b-8c43-83ae74cfe0e9",          "service_id": "641e839f-864e-4cce-98f9-40f6cbb3e9e0",          "team_id": "810007d0-bec5-486c-b5d1-28fcd8a079ba",          "type": "team"        }      }    ]  }}